Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.ui.util.cdk
Class MethodBindingToMethodExpression

    java.lang.Object
      javax.el.Expression
          javax.el.MethodExpression
              org.jboss.seam.ui.util.cdk.MethodBindingToMethodExpression

All Implemented Interfaces:
  Serializable, javax.faces.component.StateHolder

    public class MethodBindingToMethodExpression

extends javax.el.MethodExpression
implements javax.faces.component.StateHolder

Converts a MethodBinding to a MethodExpression

Author:
  Stan Silvert, Pete Muir
See Also:
  Serialized Form

Constructor Summary
`protected` | `MethodBindingToMethodExpression()` No-arg constructor used during restoreState
`` | `MethodBindingToMethodExpression(javax.faces.el.MethodBinding methodBinding)` Creates a new instance of MethodBindingToMethodExpression

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getExpressionString()`
`javax.faces.el.MethodBinding` | `getMethodBinding()` Return the wrapped MethodBinding.
`javax.el.MethodInfo` | `getMethodInfo(javax.el.ELContext context)` Note: MethodInfo.getParamTypes() may incorrectly return an empty class array if invoke() has not been called.
`int` | `hashCode()`
`Object` | `invoke(javax.el.ELContext context, Object[] params)`
`boolean` | `isLiteralText()`
`boolean` | `isTransient()`
`void` | `restoreState(javax.faces.context.FacesContext context, Object state)`
`Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setTransient(boolean transientFlag)`

Methods inherited from class javax.el.MethodExpression
`isParmetersProvided`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodBindingToMethodExpression

    protected MethodBindingToMethodExpression()

  No-arg constructor used during restoreState

### MethodBindingToMethodExpression

    public MethodBindingToMethodExpression(javax.faces.el.MethodBinding methodBinding)

  Creates a new instance of MethodBindingToMethodExpression

Method Detail

### getMethodBinding

    public javax.faces.el.MethodBinding getMethodBinding()

  Return the wrapped MethodBinding.

### getMethodInfo

    public javax.el.MethodInfo getMethodInfo(javax.el.ELContext context)
                                      throws javax.el.PropertyNotFoundException,
                                             javax.el.MethodNotFoundException,
                                             javax.el.ELException

  Note: MethodInfo.getParamTypes() may incorrectly return an empty class array if invoke() has not been called.

  Specified by:
    `getMethodInfo` in class `javax.el.MethodExpression`
  Throws:
    `IllegalStateException` - if expected params types have not been determined.
    `javax.el.PropertyNotFoundException`
    `javax.el.MethodNotFoundException`
    `javax.el.ELException`

### invoke

    public Object invoke(javax.el.ELContext context,
                         Object[] params)
                  throws javax.el.PropertyNotFoundException,
                         javax.el.MethodNotFoundException,
                         javax.el.ELException

  Specified by:
    `invoke` in class `javax.el.MethodExpression`
  Throws:
    `javax.el.PropertyNotFoundException`
    `javax.el.MethodNotFoundException`
    `javax.el.ELException`

### isLiteralText

    public boolean isLiteralText()

  Specified by:
    `isLiteralText` in class `javax.el.Expression`

### getExpressionString

    public String getExpressionString()

  Specified by:
    `getExpressionString` in class `javax.el.Expression`

### saveState

    public Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`

### setTransient

    public void setTransient(boolean transientFlag)

  Specified by:
    `setTransient` in interface `javax.faces.component.StateHolder`

### isTransient

    public boolean isTransient()

  Specified by:
    `isTransient` in interface `javax.faces.component.StateHolder`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in class `javax.el.Expression`

### equals

    public boolean equals(Object obj)

  Specified by:
    `equals` in class `javax.el.Expression`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.